[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / CMType

# Enumeration: CMType

Component Message Type enum representing different message types that can be sent
between the host and component.

## Remarks

- COMPLETE: Indicates a completed operation with response data
- RESIZE: Request to adjust component size/dimensions
- RESULT: Operation result notification
- READY: Component is initialized and ready
- INVALID: Validation failed with errors
- ERROR: Operation encountered an error
- CANCEL: Operation was cancelled

## Enumeration Members

### CANCEL

> **CANCEL**: `"cancel"`

#### Defined in

[types.ts:882](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L882)

***

### COMPLETE

> **COMPLETE**: `"complete"`

#### Defined in

[types.ts:876](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L876)

***

### ERROR

> **ERROR**: `"error"`

#### Defined in

[types.ts:881](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L881)

***

### INFO

> **INFO**: `"info"`

#### Defined in

[types.ts:884](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L884)

***

### INVALID

> **INVALID**: `"invalid"`

#### Defined in

[types.ts:880](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L880)

***

### READY

> **READY**: `"ready"`

#### Defined in

[types.ts:879](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L879)

***

### RESIZE

> **RESIZE**: `"resize"`

#### Defined in

[types.ts:877](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L877)

***

### RESULT

> **RESULT**: `"result"`

#### Defined in

[types.ts:878](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L878)

***

### WARNING

> **WARNING**: `"warning"`

#### Defined in

[types.ts:883](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L883)
