[**@notabene/javascript-sdk**](../../README.md)

***

[@notabene/javascript-sdk](../../modules.md) / [types](../README.md) / Deposit

# Interface: Deposit

An object representing a deposit transaction

## Extends

- `OriginatorFields`.[`DepositTransaction`](DepositTransaction.md).[`Refreshable`](Refreshable.md)

## Properties

### account?

> `optional` **account**: [`Account`](Account.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`account`](DepositTransaction.md#account)

#### Defined in

[types.ts:573](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L573)

***

### agent

> **agent**: [`Agent`](Agent.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`agent`](DepositTransaction.md#agent)

#### Defined in

[types.ts:564](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L564)

***

### amountDecimal

> **amountDecimal**: `number`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`amountDecimal`](DepositTransaction.md#amountdecimal)

#### Defined in

[types.ts:567](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L567)

***

### asset

> **asset**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`asset`](DepositTransaction.md#asset)

#### Defined in

[types.ts:566](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L566)

***

### assetPrice?

> `optional` **assetPrice**: `object`

#### currency

> **currency**: `string`

#### price

> **price**: `number`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`assetPrice`](DepositTransaction.md#assetprice)

#### Defined in

[types.ts:569](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L569)

***

### counterparty

> **counterparty**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`counterparty`](DepositTransaction.md#counterparty)

#### Defined in

[types.ts:565](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L565)

***

### customer?

> `optional` **customer**: [`Counterparty`](Counterparty.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`customer`](DepositTransaction.md#customer)

#### Defined in

[types.ts:537](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L537)

***

### proof?

> `optional` **proof**: [`OwnershipProof`](OwnershipProof.md)

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`proof`](DepositTransaction.md#proof)

#### Defined in

[types.ts:568](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L568)

***

### refreshSource?

> `optional` **refreshSource**: [`RefreshSource`](RefreshSource.md)

#### Inherited from

[`Refreshable`](Refreshable.md).[`refreshSource`](Refreshable.md#refreshsource)

#### Defined in

[types.ts:582](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L582)

***

### requestId?

> `optional` **requestId**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`requestId`](DepositTransaction.md#requestid)

#### Defined in

[types.ts:536](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L536)

***

### source?

> `optional` **source**: `string`

#### Inherited from

`OriginatorFields.source`

#### Defined in

[types.ts:494](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L494)

***

### transactionId?

> `optional` **transactionId**: `string`

#### Inherited from

[`DepositTransaction`](DepositTransaction.md).[`transactionId`](DepositTransaction.md#transactionid)

#### Defined in

[types.ts:590](https://gitlab.com/notabene/open-source/javascript-sdk/-/blob/52abba74a4a6b14d6ca0d23191964d38919d32ea/src/types.ts#L590)
